Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 28

Thread: KDE 4.6 on 11.3

  1. #11

    Default Re: KDE 4.6 on 11.3

    1 | Actualizaciones para openSUSE 11.3 11.3-1.82 | Actualizaciones para openSUSE 11.3 11.3-1.82 | Si | Si | 99 | rpm-md | Index of /update/11.3 |
    2 | Contrib | Contrib | Si | Si | 99 | rpm-md | Index of /repositories/openSUSE:/11.3:/Contrib/standard |
    3 | KDE_Apps | KDE Apps | Si | Si | 99 | rpm-md | Index of /repositories/KDE:/UpdatedApps/openSUSE_11.3 |
    4 | KDE_Core | KDE Core | Si | Si | 99 | rpm-md | Index of /repositories/KDE:/Distro:/Stable/openSUSE_11.3 |
    5 | Mozilla | Mozilla | Si | Si | 99 | rpm-md | Index of /repositories/mozilla/openSUSE_11.3 |
    6 | Nvidia | Nvidia | Si | Si | 99 | rpm-md | http://download.nvidia.com/opensuse/11.3 |
    7 | Packman | Packman | Si | Si | 99 | rpm-md | Index of /suse/openSUSE_11.3/ |
    8 | Wine | Wine | Si | Si | 99 | rpm-md | Index of /repositories/Emulators:/Wine/openSUSE_11.3 |
    9 | openSUSE-11.3 11.3-1.82 | openSUSE-11.3 11.3-1.82 | Si | No | 99 | yast2 | cd:///?devices=/dev/sr0 |
    10 | repo-debug | openSUSE-11.3-Debug | No | Si | 99 | NONE | Index of /debug/distribution/11.3/repo/oss |
    11 | repo-non-oss | openSUSE-11.3-Non-Oss | Si | Si | 99 | yast2 | Index of /distribution/11.3/repo/non-oss |
    12 | repo-oss | openSUSE-11.3-Oss | Si | Si | 99 | yast2 | Index of /distribution/11.3/repo/oss |
    13 | repo-source | openSUSE-11.3-Source | No | Si | 99 | NONE | Index of /source/distribution/11.3/repo/oss

  2. #12
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,728
    Blog Entries
    20

    Default Re: KDE 4.6 on 11.3

    I would remove repo 3 and 4

    Add in R46 and make the switch
    http://dl.dropbox.com/u/10573557/Swi...e46_switch.png
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #13

    Default Re: KDE 4.6 on 11.3

    And, would it be worth upgrading KDE if I manly want just to update some KDE apps? In my case, Ark and Kopete, and perhaps some others. I'd want to update Kopete because I no longer receive messages when offline, among some other details. And Ark cannot open password-protected .rar files, it just doesn't unpack nor see the packed file. It just stays as "opening..." and nothing after 20 minutes.

  4. #14
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,728
    Blog Entries
    20

    Default Re: KDE 4.6 on 11.3

    Quote Originally Posted by F_style View Post
    And, would it be worth upgrading KDE if I manly want just to update some KDE apps? In my case, Ark and Kopete, and perhaps some others. I'd want to update Kopete because I no longer receive messages when offline, among some other details. And Ark cannot open password-protected .rar files, it just doesn't unpack nor see the packed file. It just stays as "opening..." and nothing after 20 minutes.
    Repo 3 in your list will provide some Updated Applications
    And I have run 4.6.0 as supplied by default in 11.4 only until recently and I find it works really well.
    Can't say I have ever used Passworded Archives.

    If you do upgrade, make a backup of your current .kde4
    And remember - you can always roll back
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #15

    Default Re: KDE 4.6 on 11.3

    I never said I was having trouble with unpacking normal rar files with Ark, just compressing them (throws a message like "the .rar route was not found").

    Also, I asked because I was told KDE 4.6 version applications were not compatible with KDE 4.4 environment, so it was not good idea updating just the apps. What do you say?

  6. #16
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,728
    Blog Entries
    20

    Default Re: KDE 4.6 on 11.3

    I'm not sure about the 4.4/4.6 issue

    Re: Ark. Do you have RAR installed?

    FYI: I rolled back from the 46PIM to all R46, because korganizer was broken
    All is good with R46 with the older PIM versions.

    Seems it's worth a go shifting all the way up to R46
    You seem to be hankering for it anyway
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #17

    Default Re: KDE 4.6 on 11.3

    OK, added R64 and PIM46 repos and tried the switches.

    When applying the switch to R46 I got the following conflicts:

    kaddressbook-4.4.11.1-3.10.x86_64 requires akonadi-runtime < 1.5.40, but cannot be acomplished
    Uninstallable providers:
    akonadi-runtime-1.5.0.60git.1307899862-1.1.i586[KDE_PIM46]
    akonadi-runtime-1.5.0.60git.1307899862-1.1.x86_64[KDE_PIM46]
    akonadi-runtime-1.3.1-5.2.x86_64[openSUSE-11.3 11.3-1.82]
    akonadi-runtime-1.3.1-5.2.i586[repo-oss]
    akonadi-runtime-1.3.1-5.2.x86_64[repo-oss]
    Conflict resolution:
    --Following actions will be done:
    install akonadi-runtime-1.5.0.60git.1307899862-1.1.x86_64 from excluded directories
    install akonadi-runtime-1.5.0.60git.1307899862-1.1.x86_64 (with provider change) openSUSE --> obs://build.opensuse.org/KDE
    install libakonadiprotocolinternals1-1.5.0.60git.1307899862-1.1.x86_64 (with provider change) openSUSE --> obs://build.opensuse.org/KDE
    --Deinstallation of kaddressbook-4.4.11.1-3.10.x86_64
    --Break kaddressbook by ignoring some of its dependencies

    nothing provides obexd-client which is needed by bluedevil-1.0.4-31.7.i586
    Conflict resolution:
    --Deinstallation of kbluetooth-0.4.2-3.1.x86_64
    --Keep obsolete kbluetooth-0.4.2-3.1.x86_64
    --Break bluedevil by ignoring some of its dependencies

    akonadi-runtime-1.3.1-6.1.1.x86_64 requires libakonadiprotocolinternals1 = 1.3.1, but cannot be acomplished
    Uninstallable providers:
    libakonadiprotocolinternals1-1.3.1-5.2.i586[repo-oss]
    libakonadiprotocolinternals1-1.3.1-5.2.x86_64[repo-oss]
    Conflict resolution:
    --Following actions will be done:
    install libakonadiprotocolinternals1-1.5.0.60git.1307899862-1.1.x86_64 from excluded directories
    install akonadi-runtime-1.5.0.60git.1307899862-1.1.x86_64 (with provider change) openSUSE --> obs://build.opensuse.org/KDE
    install libakonadiprotocolinternals1-1.5.0.60git.1307899862-1.1.x86_64 (with provider change) openSUSE --> obs://build.opensuse.org/KDE
    --Deinstallation of plasma-addons-4.4.4-1.3.x86_64
    --Keep obsolete plasma-addons-4.4.4-1.3.x86_64
    --Break akonadi-runtime by ignoring some of its dependencies

    I made a rough quick translation because my system is in Spanish. When I applied switch to PIM46 I got an horrendous number of conflicts which I preferred not trying to translate (is there a log where conflicts store or a way to capture them?). You also mentioned you rolled back to all packages to R46 because of Korganizer... are you suggesting just applying switch to R46 and leave PIM46?

    And, what can I do about those R46 conflicts? The installation with provider change option sounds not too bad for all akonadi cases, but what about obexd-client?

    Thanks for you help.

  8. #18
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,728
    Blog Entries
    20

    Default Re: KDE 4.6 on 11.3

    I took out PIM repo and basically you have to keep some older packaging:
    Let me show you how my install went:
    SUSE Paste

    As for your errors, I will try and give you the solutions:
    After you mark the first one, click try again, because I'm fairly sure the marking of the first one will solve #3 also
    I have bluetooth uninstalled because I don't have it on this machine..

    1.
    install akonadi-runtime-1.5.0.60git.1307899862-1.1.x86_64 from excluded directories
    install akonadi-runtime-1.5.0.60git.1307899862-1.1.x86_64 (with provider change) openSUSE --> obs://build.opensuse.org/KDE
    install libakonadiprotocolinternals1-1.5.0.60git.1307899862-1.1.x86_64 (with provider change) openSUSE --> obs://build.opensuse.org/KDE
    2.
    --Keep obsolete kbluetooth-0.4.2-3.1.x86_64
    3.
    install libakonadiprotocolinternals1-1.5.0.60git.1307899862-1.1.x86_64 from excluded directories
    install akonadi-runtime-1.5.0.60git.1307899862-1.1.x86_64 (with provider change) openSUSE --> obs://build.opensuse.org/KDE
    install libakonadiprotocolinternals1-1.5.0.60git.1307899862-1.1.x86_64 (with provider change) openSUSE --> obs://build.opensuse.org/KDE
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #19

    Default Re: KDE 4.6 on 11.3

    I removed PIM46 repo, applied switch to R46 and now solutions 1 and 3 are gone, leaving me only with options "deinstallation" and "break by ignoring dependencies". So, can I just leave PIM46 to solve the conflicts in R46 and after that remove PIM46?

    Also, I understood from what you said keeping obsolete kbluetooth is like having bluetooth "uninstalled", "disabled" or kind of. If I wanted to also have bluetooth working, what should I do about bluedevil or obexd?

  10. #20
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,728
    Blog Entries
    20

    Default Re: KDE 4.6 on 11.3

    In 11.4 there is no kbluetooth

    If you choose to delete kbluetooth, you should be able to install bluedevil
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

Page 2 of 3 FirstFirst 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •